Scientific Linux Security Update : rhn-client-tools on SL5.x i386/x86_64

This script is Copyright (C) 2012 Tenable Network Security, Inc.


Synopsis :

The remote Scientific Linux host is missing one or more security
updates.

Description :

It was discovered that rhn-client-tools set insecure permissions on
the loginAuth.pkl file, used to store session credentials for
authenticating connections to servers. A local, unprivileged user
could use these credentials to download packages they wouldn't
normally have permission to download. They could also manipulate
package or action lists associated with the system's profile.
(CVE-2010-1439)

Note: This package pulled in several other packages as dependencies in
order to fix all bugs and security holes.

See also :

http://www.nessus.org/u?b27b9241

Solution :

Update the affected packages.

Risk factor :

Low / CVSS Base Score : 3.6
(CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:N)

Family: Scientific Linux Local Security Checks

Nessus Plugin ID: 60797 ()

Bugtraq ID:

CVE ID: CVE-2010-1439